Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006453OCamlOCaml documentationpublic2014-06-09 10:292014-07-21 23:06
Reporterfuruse 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version4.02.0+beta1 / +rc1 
Target Version4.02.0+devFixed in Version4.02.0+dev 
Summary0006453: It should be documented that Lexer.set_preprocessor receives EOL tokens
DescriptionI found Lexer.set_preprocessor is added to OCaml 4.02.0 and played with it a bit. It is cool!

One tricky thing I have experienced that preprocessors receive lexer token streams a bit different from the original. They contain EOL. The code is in the token rule and it was hard to find out first for me.

This must be documented at the comment of the function in lexer.mli
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0011897)
doligez (administrator)
2014-07-21 23:06

Added the information to lexer.mli in 4.02 (commit 15019).

- Issue History
Date Modified Username Field Change
2014-06-09 10:29 furuse New Issue
2014-07-16 16:10 doligez Severity trivial => minor
2014-07-16 16:10 doligez Category OCaml general => OCaml documentation
2014-07-16 16:10 doligez Target Version => 4.02.0+dev
2014-07-16 16:30 doligez Status new => acknowledged
2014-07-21 23:06 doligez Note Added: 0011897
2014-07-21 23:06 doligez Status acknowledged => closed
2014-07-21 23:06 doligez Resolution open => fixed
2014-07-21 23:06 doligez Fixed in Version => 4.02.0+dev


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker